:root {
    --first-color: rgb(50,50,50);
    --primary-bg: #fff;
    --secondary-bg: rgb(250,250,255);
    --sec-padding: 8% 4%;
    --sec-margin: 2rem 0rem;
}

* {
    margin: 0;
    padding: 0;
    font-family: "Poppins", sans-serif;
    outline: none;    
}

html {
   scroll-behavior: smooth;
}

body {
    width: 100%;
    color: var(--first-color);
    background: rgb(255,248,248);
}

a {
    text-decoration: none;
    color: var(--first-color);
}

.desktopNavbar {
    display: none;
}

 /** mobile Navbar style rules **/
.mobileNavbar {
    position: fixed;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: space-between;
    background: white;
    transition: 500ms;
    z-index: 1;
}

.mobileNavbar > li {
    list-style: none;
    padding: 0.7rem 0.8rem;
}
 
 
 /** Mobile Navbar onscroll style rules **/
.navScroll {
    box-shadow: 0rem 0.1rem 0.4rem 0rem rgba(220,220,220,0.8);
}

.logoHeader {
    font-weight: 360;
}

.logoDesc {
    font-size: 0.8rem;
    letter-spacing: 0.1rem;
}

 
.menu-toggle {
  display: none;
}

.menu-icon {
    width: auto;
    padding: 0.5rem;
    box-shadow: 0rem 0rem 2rem rgb(240,240,240);
    border-radius: 0.4rem;
    display: block;
    cursor: pointer;
}

.bar  {
  width: 34px;
  height: 3px;
  background-color: #333;
  margin: 6px 0;
  transition: transform 0.3s;
}

#toggle:checked + .menu-icon .bar:nth-child(1) {
  transform: rotate(45deg) translate(5px, 5px);
}

#toggle:checked + .menu-icon .bar:nth-child(2) {
  opacity: 0;
}

#toggle:checked + .menu-icon .bar:nth-child(3) {
  transform: rotate(-45deg) translate(7px, -7px);
}
 
 
 /** drop down menu style rules **/
.dropdown {
    position: fixed;
    top: 4.4rem;
    display: none;
    width: 100%;
    padding: 1rem;
    background: var(--primary-bg);
    box-shadow: 0rem 0.1rem 0.6rem 0rem rgba(220,220,220);
    z-index: 1;
}

.dropdown > li {
    top: 5rem;
    list-style: none;
    padding: 0.8rem 0rem;
    transition: 400ms;
}

.dropdown > li:hover {
   font-size: 1.2rem;
}

.secImg {
    width: 100%;
    height: 25rem;
    background-color: rgb(255,255,255); 
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    border-radius: 0.6rem;
    margin-bottom: 2rem;
}

.tag {
    font-size: 0.9rem;
    font-weight: 500;
    text-transform: uppercase;
    white-space: nowrap;
    margin-bottom: 1.2rem;
}

.secHeader {
    font-size: 1.8rem;
    font-weight: 400;
    margin-bottom: 1.2rem;
}

.cta {
    width: 10rem;
    height: 3rem;
    display: flex;
    align-items: center;
    justify-content: center;
    color: #000;
    border: 0.1rem solid #000;
    border-radius: 4rem;
    margin: 1rem 0rem 0.5rem 0rem;
    transition: 400ms;
}

.cta:active,
.cta:hover {
    color: #fff;
    background: #000;
    animation: wobble 1s linear infinite;
}

.fadein {
    opacity: 0.8;
    transform: translateX(-5rem);
    transition: opacity 800ms,transform 1200ms;
}


.zoomIn {
    opacity: 0.8;
    transform: scale(0.5);
    transition: opacity 800ms,transform 1200ms;
}

/** hero section style rules **/
#hero {
    width: 92%;
    height: 28rem;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    text-align: center;
    padding: var(--sec-padding);    
    background-image: url('https://img.wapka.io/00cbj5.jpg');
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
}

#heroText {
    color: #fff;
    font-size: 3rem;
    font-weight: 380;
    margin-top: 4.5rem;
    animation: fadeInDown 2s linear 1;    
}

@keyframes fadeInDown {
 0% {
      opacity: 0;
       transform: translateY(-5rem);
 }
}

#heroDesc {
    color: #fff;
    font-weight: 420;
    margin: 1rem 0rem;
    animation: fadeInRight 2s linear 1;    
}

@keyframes fadeInRight {
 0% {
      opacity: 0;
      transform: translateX(-5rem);
 }
}

#heroCta {
    width: 10rem;
    height: 3rem;
    display: flex;
    align-items: center;
    justify-content: center;
    color: #fff;
    border: 0.1rem solid #fff;
    border-radius: 4rem;
    margin: 0.5rem 0rem;
    transition: 400ms;
    animation: fadeInLeft 2s linear 1;    
}

@keyframes fadeInLeft {
 0% {
 opacity: 0;
 transform: translateX(5rem);
 }
}

#heroCta:active,
#heroCta:hover {
    color: #000;
    background: #fff;
    animation: wobble 1s linear infinite;
}

@keyframes wobble {
    0%,100% {
        transform: translateY(0rem);
    }
    50% {
        transform: translateY(-0.4rem);
    }
}

/** About section style rules **/
#about {
    width: 92%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    padding: var(--sec-padding);    
    background: rgb(255,248,248); 
    margin: 7rem 0rem 0rem 0rem;   
}

.aboutIntro {
    width: 100%;
    margin-bottom: 4rem;
}

.aboutInfo {
    width: 100%;
}

.aboutService {
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
    margin-bottom: 2rem;
}

.services {
    width: 100%;
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: center;
    margin-top: 2rem;
}

.services > div {
    width: 16rem;
    margin: 2.5rem 1rem;
}

.serN {
    font-weight: 350;
}

.serDesc {
    font-size: 0.9rem; 
    margin: 0.5rem 0rem;   
}

.services > div > svg {
    stroke: #000;
}


/** style rules for aboutOutro section**/
#aboutOutro {
    width: 92%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    padding: var(--sec-padding);
    background: #fff;             
    box-shadow: 0.6rem 0.6rem 1rem 0rem rgba(200,200,200,0.4);
    margin: var(--sec-margin);
}

.aboutOutroInfo {     
    width: 100%;    
}


/** Working hours section style rules **/
#workingHours {
    width: 92%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    padding: var(--sec-padding);    
    margin: var(--sec-margin);    
}

#workingHours > div {
    width: 100%;
}

.wH {
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: space-between;
    border-bottom: 0.1rem dotted var(--first-color);
    margin: 1rem 0rem;
}

.wH > li {
    list-style-type: none;
    padding: 1rem 0rem;
}


/** style rules for appointment section**/
#appointment {
    width: 92%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    padding: var(--sec-padding);
    background: #fff;             
    box-shadow: 0.6rem 0.6rem 1rem 0rem rgba(200,200,200,0.4);
    margin: var(--sec-margin);
}

.appointmentInfo {     
    width: 100%;    
}


/** style rules for outro Section **/
#outro {
    width: 92%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    padding: var(--sec-padding);
    margin: var(--sec-margin);
}

#outro > div {
    width: 100%;    
}

#outro > div:first-of-type {
    text-align: center;
}

#outro > div > .secImg {
    margin: 2rem 0rem;
}

#outro > div > .secImg:first-of-type {
    height: 28rem;
} 

#outro > div > .secImg:nth-of-type(4) {
    height: 30rem;
}

#outro > div > .secImg:nth-of-type(5) {
    height: 30rem;
}



/** contact section style rules **/
#contact {
    width: 92%;
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: center;
    text-align: center;
    padding: var(--sec-padding);    
    margin: var(--sec-margin);
}

#contact > div {    
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    text-align: center;
    margin: 0rem 1rem;
}

#contact > div > h2 {
    font-weight: 500;
    margin: 1.8rem 0rem 0rem 0rem;
}
 
#contact > div > p {
    margin: 0.5rem 0rem;
}

.wT {
    list-style-type: none;
}

.social > a  {
    margin: 0.5rem;
}

.chatOnW {
    position: fixed;
    right: 8%;
    bottom: 8%;
    width: 3.6rem;
    height: 3.6rem;
    display: flex;
    align-items: center;
    justify-content: center;
    background: #fff;
    box-shadow: 0.6rem 0.6rem 1rem 0rem rgba(200,200,200,0.4);
    border-radius: 50%;
    z-index: 2;
}

.chatOnW > a {
    display: flex;
    align-items: center;
    justify-content: center;
}

.chatOnW > a > svg {
    width: 3.2rem;
    height: 3.2rem;
    fill: green;
}



/**  footer style rules **/

footer {
    width: 100%;
    text-align: center;
    padding: 1.6rem 0rem;
    border-top: 0.1rem solid rgb(240,238,238);
}



@media (min-width: 726px) {
    #hero {
        height: 33rem;
    }
    
    .mobileNavbar {
       display: none;
    }
    
    .logoHeader,
    .logoDesc {
        color: #fff;
    }
       
    .desktopNavbar {
       width: 100%;
       position: fixed;
       display: flex;
       align-items: center;
       justify-content: space-between;
       background: transparent;
       transition: 500ms;
       z-index: 1;
    }
    .desktopNavbar > li {
       list-style: none;
       padding: 1.6rem 2rem;
    }
    .desktopLinks {
       display: flex;
       align-items: center;
       justify-content: space-between;       
       list-style: none;
    }
    .desktopLinks > li {       
       padding: 0rem 1rem;
    }
    .desktopLinks > li > a {
       color: #fff;
    }
    .desktopNavScroll {
        color: #000;
        background: #fff;
        box-shadow: 0rem 0.1rem 0.4rem 0rem rgba(220,220,220,0.8);
    }
    .desktopNavScroll > li {
        padding: 0.8rem 2rem;
    }
    .desktopNavScroll .logoHeader,
    .desktopNavScroll .logoDesc {
        color: #000;
    }   
    .desktopNavScroll li a {
        color: #000;
    }
    
    .aboutIntro {
        width: 100%;
        display: flex;
        flex-direction: row-reverse;
        align-items: center;
        justify-content: space-between; 
    }  
    .aboutInfo {
        margin-right: 2rem;
    } 
    .aboutService .secHeader {
        white-space: nowrap;
    }
    .serDesc {
       font-size: 0.7rem;   
    }
    
    #aboutOutro {
        width: 92%;
        display: flex;
        flex-direction: row;
        align-items: center;
        justify-content: space-between; 
    }  
    #aboutOutro .secImg {
        margin-right: 1.2rem;
    } 
    
    #workingHours {
        width: 92%;
        display: flex;
        flex-direction: row;
        align-items: center;
        justify-content: space-between; 
    }
    #workingHours > .secImg {
        margin-left: 1.4rem;
    }
    
    #appointment {
        width: 92%;
        display: flex;
        flex-direction: row-reverse;
        align-items: center;
        justify-content: space-between; 
    }
    #appointment > .secImg {
        margin-left: 1.4rem;
    }
    
    #outro > div:nth-of-type(2) {
        display: grid;
        grid-template-rows: repeat(3,1fr);
        grid-template-columns: repeat(2,1fr);
        grid-gap: 0rem 1rem;
    }   
     
    #outro > div > .secImg:nth-of-type(4) {
        margin-top: -1.6rem;
    }
    #outro > div > .secImg:nth-of-type(5) {
        margin-top: -1.4rem;
    }   
       
}



@media (min-width: 1000px) {
    #hero {
        height: 80vh;
    }
}